# Choices.js Autocomplete

Use Choices.js as autocomplete widget for entity reference fields. This module provides a new field widget for any
entity reference field type. Supports both default and views selection handlers out of the box. Both autocomplete
results and default values may contain rich formatting (HTML and styles).

## Installation

Before installation the `composer-merge-plugin` must be installed and configured on the project root. This allows the
Choices.js distribution to be managed automatically via Composer.

1. Install `composer-merge-plugin` on the project root:
   ```shell
   composer require wikimedia/composer-merge-plugin
   ```
2. Add `merge-plugin` configuration to the project root `composer.json` file:
   ```
   "extra": {
     "merge-plugin": {
       "include": [
         "web/modules/contrib/choices_autocomplete/composer.libraries.json"
       ]
     }
   }
   ```
3. Require the `drupal/choices_autocomplete` module:
   ```shell
    composer require drupal/choices_autocomplete
   ```

## Usage

1. Download and install the `drupal/choices_autocomplete` module. Recommended install method is composer:
   ```
   composer require drupal/choices_autocomplete
   ```
2. Go to the "Manage form display" tab of the entity type.
3. Select the "Choices.js Autocomplete" widget on the entity reference field.
4. Configure and save changes.
